EML - Bug #2085

Access Control not shown by EML stylesheets
05/20/2005 06:35 PM - Saurabh Garg
Assignee: Matt Jones % Done: 0%
Category: utilities Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 2085

Description

The access control information is not shown by XSLTs if no public read access
is specified. So if we have access control as:

<access>

<allow>

<principal>public</principal>

<permission>read</permission>

</allow>

<allow>
<principal>uid=sgarg,0=NCEAS,dc=ecoinformatics,dc=org</principal>
<permission>read</permission>

</allow>

</access>

or

<access>
<deny>

<principal>public</principal>

<permission>read</permission>

</deny>

<allow>
<principal>uid=sgarg,0=NCEAS,dc=ecoinformatics,dc=org</principal>
<permission>read</permission>

</allow>

</access>

then the XSLTs will show access rule for uid=sgarg

But if we have this:

<access>

<allow>
<principal>uid=sgarg,0=NCEAS,dc=ecoinformatics,dc=org</principal>
<permission>read</permission>

</allow>

</access>

then nothing is shown by XSLTs.

History

#1 - 10/01/2008 12:25 PM - Margaret O'Brien

these bugs are for stylesheet and documentation updates. changed to EML.2.1.0 priority 3, to be taken care of after changes to schema

#2 - 10/01/2008 04:30 PM - Margaret O'Brien

moving stylesheet bugs to P4 (after schema and documentation done)

#3 - 04/02/2009 10:36 AM - Margaret O'Brien

Open stylesheet bugs are now associated with EML's Utility component
#4 - 03/27/2013 02:19 PM - Redmine Admin
Original Bugzilla ID was 2085
